package exampleSetWidgets;
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

/**
 * <code>DemoBasicMnemonic</code> is similar to <code>DemoBasic_v4</code>.
 * In this demo, we set up a keyboard mnemonic for the button <center><img src =
 * "img/DemoButtonMnemonic-1.gif"></center>
 * <p>
 * 
 * @see <a href="../DemoButtonMnemonic.java">source code</a>
 * @author M. Baljko, 2004
 */
public class DemoButtonMnemonic {
	public static void main(String[] args) {
		DemoButtonMnemonicFrame frame = new DemoButtonMnemonicFrame();
		frame.setTitle("DemoButtonMnemonic");
		frame.pack();
		frame.setVisible(true); // alternative: frame.show()
	}
}

class DemoButtonMnemonicFrame extends JFrame implements ActionListener {
	JLabel sampleLabel;
	JButton toggleButton;

	public DemoButtonMnemonicFrame() {
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		// Step 1: Create and Configure Components
		sampleLabel = new JLabel("Sample Label");
		sampleLabel.setPreferredSize(new Dimension(250, 100));
		sampleLabel.setFont(new Font("sanserif", Font.PLAIN, 12));

		toggleButton = new JButton("Press me!");
		toggleButton.setMnemonic(KeyEvent.VK_P);

		toggleButton.setFont(new Font("sanserif", Font.PLAIN, 12));

		// Step 2: Register Listeners
		toggleButton.addActionListener(this);

		// Step 3: Arrange components in contentPane
		JPanel panel = new JPanel();
		panel.add(sampleLabel);
		panel.add(toggleButton);
		setContentPane(panel);
	}

	public boolean isLowerCase(String s) {
		return s.equals(s.toLowerCase());
	}

	// We provide a body for this method to satisfy the
	// requirement that this class
	// implements the interface ActionListener
	public void actionPerformed(ActionEvent ae) {
		if (ae.getSource() == toggleButton) {
			System.out.println("toggleButton generated ActionEvent");
			if (isLowerCase(sampleLabel.getText()))
				sampleLabel.setText(sampleLabel.getText().toUpperCase());
			else
				sampleLabel.setText(sampleLabel.getText().toLowerCase());
		}
	}
}
