package exampleSetWidgets;
import java.awt.Dimension;

import javax.swing.*;

/**
 * <code>DemoBasicFrame_v2</code> demonstrates the creation of a
 * <code>JFrame</code>. Nothing is added to the content pane (therefore, it
 * doesn't appear). The behaviour for the exit button is specified using the
 * <code>setDefaultCloseOperation</code> from
 * <code>JFrame<code> (EXIT_ON_CLOSE).
 * Need to import <code>javax.swing.*</code> (this is where <code>JFrame</code> is defined)
 * <p>Screen snapshot<br>
 * <center><img src = "img/DemoVeryBasic_v2-1.gif"></center><p>
 *
 * @see <a href="../DemoVeryBasic_v2.java">source code</a>
 * @author M. Baljko, 2004
 */
public class DemoProperThreadUse {
	public static void main(String[] args) {
		boolean DO_CORRECT_WAY = true;

		if (DO_CORRECT_WAY) {
			javax.swing.SwingUtilities.invokeLater(new Runnable() {
				public void run() {
					createAndShowGUI();
				}
			});
		} else {
			JFrame frame = new VeryBasicFrameWithThreadInfo();
			frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
			frame.setTitle(frame.getClass().getName());
			frame.pack();
			frame.setVisible(true); // alternative: frame.show()
		}
	}

	private static void createAndShowGUI() {
		JFrame frame = new VeryBasicFrameWithThreadInfo();
		frame.setTitle(frame.getClass().getName());
		frame.pack();
		frame.setVisible(true); // alternative: frame.show()
	}

}

class VeryBasicFrameWithThreadInfo extends JFrame {
	public VeryBasicFrameWithThreadInfo() {
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		JLabel sampleLabel = new JLabel("Name of thread: "
				+ Thread.currentThread().getName());
		sampleLabel.setPreferredSize(new Dimension(250, 100));

		this.add(sampleLabel);
	}
}
