package exampleSetWidgets;
import javax.swing.*;

/**
 * <code>DemoBasicFrameV1</code> demonstrates the creation of a
 * <code>JFrame</code>. Nothing is added to the content pane (therefore, a
 * content pane doesn't appear). The behaviour for the exit buttom is left as
 * the default (HIDE_ON_CLOSE).
 * 
 * Need to import <code>javax.swing.*</code> (this is where JFrame is defined)
 * <p>
 * Screen snapshot<br>
 * <center><img src = "img/DemoVeryBasic_v1-1.gif"></center>
 * <p>
 * 
 * @see <a href="../DemoVeryBasic_v1.java">source code</a>
 * @author M. Baljko, 2004
 */
public class DemoVeryBasicV1 {
	public static void main(String[] args) {
		javax.swing.SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				createAndShowGUI();
			}
		});
	}

	private static void createAndShowGUI() {
		JFrame frame = new VeryBasicFrameV1();
		frame.setTitle(frame.getClass().getName());
		frame.pack();
		frame.setVisible(true); // alternative: frame.show()
	}

}

class VeryBasicFrameV1 extends JFrame {
	public VeryBasicFrameV1() {
	}
}
