package exampleSetWidgets;
import javax.swing.*;

import java.awt.event.*;

/**
 * <code>DemoBasicFrame_v3</code> demonstrates the creation of a
 * <code>JFrame</code>. Nothing is added to the content pane (therefore, it
 * doesn't appear). The behaviour for the exit button is specified using the
 * method <code>addWindowListener</code> that is inherited from the parent
 * class, <code>Window</code>. Need to import <code>javax.swing.*</code>
 * (this is where <code>JFrame</code> is defined) Need to import
 * <code>java.awt.event.*</code> (that's where <code>WindowAdapter</code> is
 * defined)  
 * 
 * @see <a href="../DemoVeryBasic_v4.java">source code</a>
 * @author M. Baljko, 2004
 */
public class DemoVeryBasicV3 {
	public static void main(String[] args) {
		javax.swing.SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				createAndShowGUI();
			}
		});
	}

	private static void createAndShowGUI() {
		JFrame frame = new VeryBasicFrameV3();
		frame.setTitle(frame.getClass().getName());
		frame.pack();
		frame.setVisible(true); // alternative: frame.show()
	}

}

class VeryBasicFrameV3 extends JFrame {
	public VeryBasicFrameV3() {
		setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
		addWindowListener(new myWindowListener());
	}

	// named inner class to define WindowAdapter
	class myWindowListener extends WindowAdapter {
		public void windowClosing(WindowEvent e) {
			System.out.println("in windowClosing method");
			System.out.println(e);
			System.out.println(e.getSource());
			System.exit(0);
		}
	}
}
