package exampleSetWidgets;
import javax.swing.*;

import java.awt.event.*;

/**
 * <code>DemoBasicFrame_v4</code> is just like <code>DemoBasicFrame_v3</code>
 * except it uses a named inner class rather than an anonymous inner class.
 * <p>
 * Screen snapshot<br>
 * <center><img src = "img/DemoVeryBasic_v3-1.gif"></center>
 * <p>
 * 
 * @see <a href="../DemoVeryBasic_v3.java">source code</a>
 * @author M. Baljko, 2004
 */
public class DemoVeryBasicV4 {
	public static void main(String[] args) {
		javax.swing.SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				createAndShowGUI();
			}
		});
	}

	private static void createAndShowGUI() {
		JFrame frame = new VeryBasicFrameV4();
		frame.setTitle(frame.getClass().getName());
		frame.pack();
		frame.setVisible(true); // alternative: frame.show()
	}

}

class VeryBasicFrameV4 extends JFrame {
	public VeryBasicFrameV4() {
		setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
		addWindowListener(
		// start of definition of anonymous inner class
		// this code creates an instance of a WindowListener...
		new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				System.out.println("in windowClosing method");
				System.out.println(e);
				System.out.println(e.getSource());
				System.exit(0);
			}
		}
		// ...instance of WindowListener created
		// end of definition
		);
	}
}